summaryrefslogtreecommitdiff
path: root/scripts/wsrep_sst_xtrabackup.sh
diff options
context:
space:
mode:
authorSeppo Jaakola <seppo.jaakola@codership.com>2012-10-23 22:38:11 +0300
committerSeppo Jaakola <seppo.jaakola@codership.com>2012-10-23 22:38:11 +0300
commitef6f9a8250804efb047ad6f28e476c59d7223e85 (patch)
tree4dca03b7badc2e826110921392fb351fd07e80a3 /scripts/wsrep_sst_xtrabackup.sh
parent20df56c1002e809daa68fa7431a9dd7e3d899642 (diff)
downloadmariadb-git-ef6f9a8250804efb047ad6f28e476c59d7223e85.tar.gz
References lp:1066784
merged with patch: bzr diff lp:codership-mysql/5.5 -r3795..3809
Diffstat (limited to 'scripts/wsrep_sst_xtrabackup.sh')
-rw-r--r--scripts/wsrep_sst_xtrabackup.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/wsrep_sst_xtrabackup.sh b/scripts/wsrep_sst_xtrabackup.sh
index 5dad320e0f8..dd8532d6485 100644
--- a/scripts/wsrep_sst_xtrabackup.sh
+++ b/scripts/wsrep_sst_xtrabackup.sh
@@ -67,9 +67,9 @@ INNOBACKUPEX_BIN=innobackupex
INNOBACKUPEX_ARGS=""
NC_BIN=nc
-for TOOL_BIN in INNOBACKUPEX_BIN NC_BIN ; do
- which ${!TOOL_BIN} > /dev/null 2>&1
- if [ $? -ne 0 ]; then
+for TOOL_BIN in INNOBACKUPEX_BIN NC_BIN ; do
+ if ! which ${!TOOL_BIN} > /dev/null 2>&1
+ then
echo "Can't find ${!TOOL_BIN} in the path"
exit 22 # EINVAL
fi